> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wavynode.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List API keys

> Retrieves all the API keys for a given project.



## OpenAPI

````yaml GET /projects/{projectId}/keys
openapi: 3.1.0
info:
  title: Wavy Node API
  description: >-
    Compliance, fraud prevention, and risk analysis API for payment providers
    and cryptocurrency exchanges in Latin America.
  version: 1.0.0
  contact:
    name: Wavy Node Support
    email: support@wavynode.com
servers:
  - url: https://api.wavynode.com/v1
    description: Production
security:
  - apiKeyAuth: []
paths:
  /projects/{projectId}/keys:
    get:
      tags:
        - API Keys
      summary: List API keys
      description: Retrieves all the API keys for a given project.
      operationId: listApiKeys
      parameters:
        - name: projectId
          in: path
          required: true
          description: The project ID
          schema:
            type: string
      responses:
        '200':
          description: List of API keys
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/ApiKey'
components:
  schemas:
    ApiKey:
      type: object
      properties:
        id:
          type: integer
          description: Key ID
        created_at:
          type: string
          format: date-time
          description: Creation timestamp
        label:
          type: string
          description: Key label
        key:
          type: string
          description: The API key value (partially masked)
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Enter the full value with the `ApiKey` prefix. Example: `ApiKey
        wavy_your-api-key`. The prefix is required for authentication.

````